package com.cm.common.plugin.controller.app.routes.tree;

import com.cm.common.constants.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: TreeAppRouteController
 * @Description: APP树结构
 * @Author: WangGeng
 * @Date: 2020/2/9 11:58 上午
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.API_TAGS_APP_ROUTE_PREFIX + "动态表单页面接口")
@Controller
@RequestMapping(ISystemConstant.APP_ROUTE_PREFIX + "/tree")
public class TreeAppRouteController {

    @GetMapping("treerelease/v2")
    public ModelAndView treeV2() {
        ModelAndView mv = new ModelAndView("tree/app/tree-v2");
        return mv;
    }

    @GetMapping("treeuserrelease")
    public ModelAndView treeUser() {
        ModelAndView mv = new ModelAndView("tree/app/tree-user");
        return mv;
    }

}
